# policies#list_policy_sets

List all policy sets that reference a specific policy

Endpoint: GET /pm/api/v1/policies/{identifier}/policysets
Version: 1.0
Security: 

## Query parameters:

  - `accountIdentifier` (string)
    Harness account ID
    Example: "eBqAoNchMLKigC_qZ5EdC"

  - `orgIdentifier` (string)
    Harness organization ID
    Example: "test-org"

  - `projectIdentifier` (string)
    Harness project ID
    Example: "test-project"

  - `per_page` (integer)
    Number of results per page
    Example: 20

  - `page` (integer)
    Page number (starting from 0)
    Example: 4

  - `searchTerm` (string)
    Filter results by partial name match
    Example: "poli"

  - `sort` (string)
    Sort order for results
    Enum: "name,ASC", "name,DESC", "updated,ASC", "updated,DESC"

## Path parameters:

  - `identifier` (string, required)
    Identifier for the policy
    Example: "policy-1"

## Header parameters:

  - `x-api-key` (string)
    Harness PAT key used to perform authorization
    Example: "Quis ut cum sunt."

## Response 200 fields (application/json):

  - `account_id` (string, required)
    Harness account ID associated with this policy set
    Example: "eBqAoNchMLKigC_qZ5EdC"

  - `action` (string, required)
    Action that triggers the policy set
    Example: "onrun"

  - `created` (integer, required)
    Time the policy set was created
    Example: 1636669297674

  - `enabled` (boolean, required)
    Only enabled policy sets are evaluated when evaluating by type/action
    Example: true

  - `identifier` (string, required)
    Identifier of the policy set
    Example: "policyset-1"

  - `name` (string, required)
    Name of the policy set
    Example: "Production Policies"

  - `org_id` (string, required)
    Harness organization ID associated with this policy set
    Example: "test-org"

  - `project_id` (string, required)
    Harness project ID associated with this policy set
    Example: "test-project"

  - `updated` (integer, required)
    Time the policy set was last updated
    Example: 1636669297674

## Response 400 fields (application/json):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true

## Response 409 fields (application/json):

  - `message` (string, required)
    Human-readable warning message
    Example: "Blanditiis facere itaque."

  - `referenced_by` (array, required)
    Policy sets that reference this policy
    Example: [{"account_id":"Rem quo est.","identifier":"Non voluptatem.","name":"Illum tenetur aut officiis.","org_id":"Vel in dolor voluptatem qui et voluptatum.","project_id":"Repellendus ullam similique velit dolorum eos amet."},{"account_id":"Rem quo est.","identifier":"Non voluptatem.","name":"Illum tenetur aut officiis.","org_id":"Vel in dolor voluptatem qui et voluptatum.","project_id":"Repellendus ullam similique velit dolorum eos amet."},{"account_id":"Rem quo est.","identifier":"Non voluptatem.","name":"Illum tenetur aut officiis.","org_id":"Vel in dolor voluptatem qui et voluptatum.","project_id":"Repellendus ullam similique velit dolorum eos amet."}]

  - `referenced_by.account_id` (string, required)
    Harness account ID
    Example: "Ut qui optio."

  - `referenced_by.identifier` (string, required)
    Identifier of the referencing policy set
    Example: "Nostrum sapiente corporis ipsam eligendi laborum."

  - `referenced_by.name` (string, required)
    Name of the referencing policy set
    Example: "Itaque vel maiores et qui nobis."

  - `referenced_by.org_id` (string)
    Harness organization ID
    Example: "Natus deserunt nam."

  - `referenced_by.project_id` (string)
    Harness project ID
    Example: "Saepe molestiae molestias cupiditate odit eos."


